> ## Documentation Index
> Fetch the complete documentation index at: https://docs.briq.tz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get sender

> Fetch a single sender by id.



## OpenAPI

````yaml /openapi.json get /v1/whatsapp/senders/{sender_id}
openapi: 3.1.0
info:
  title: Briq API
  description: Karibu Briq API Documentation
  version: '0.8'
servers:
  - url: https://karibu.briq.tz
    description: Production
  - url: https://pre-release.karibu.briq.tz
    description: Pre-release
  - url: http://karibu.briq.tz
    description: LocalPass
security: []
paths:
  /v1/whatsapp/senders/{sender_id}:
    get:
      tags:
        - Karibu-Whatsapp-Senders
      summary: Get sender
      description: Fetch a single sender by id.
      operationId: wa_get_sender
      parameters:
        - name: sender_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
          description: Sender id.
      responses:
        '200':
          description: The sender.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WaSenderItem'
        '404':
          description: Sender not found in this workspace.
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WaErrorEnvelope'
components:
  schemas:
    WaSenderItem:
      type: object
      description: A WhatsApp sender number in your workspace.
      properties:
        id:
          type: string
          format: uuid
        user_id:
          type: string
          format: uuid
        whatsapp_account_id:
          type: string
          format: uuid
          nullable: true
        phone_number_id:
          type: string
          description: Meta phone number id.
        display_number:
          type: string
          description: Human-readable sender number.
        label:
          type: string
          nullable: true
        is_default:
          type: boolean
        is_active:
          type: boolean
        is_deleted:
          type: boolean
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    WaErrorEnvelope:
      type: object
      properties:
        success:
          type: boolean
          example: false
        data:
          type: object
          nullable: true
          description: >-
            On a failed send that still produced a record, carries the pollable
            message_id with status='failed'; otherwise null.
        errors:
          type: array
          items:
            $ref: '#/components/schemas/WaApiError'
        request_id:
          type: string
    WaApiError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        field:
          type: string
          nullable: true

````